# Search for prospect analysis by name

Returns a list of prospect analyses that fit the search criteria. The results are paginated.

Endpoint: GET /assessments/v1/prospectanalysis
Version: 1
Security: bearer, appkey

## Query parameters:

  - `AnalysisName` (string)
    Prospect analysis name

  - `ProspectName` (string)
    Prospect folder name

  - `Offset` (integer)
    How many analyses to skip in the result, default is 0

  - `Limit` (integer)
    Maximum number of analyses to return, default is 200, maximum is 2000

## Header parameters:

  - `slb-contract-id` (string, required)
    Delfi Contract ID

## Response 200 fields (text/plain):

  - `analyses` (array)
    The prospect analyses contained in the search result.

  - `analyses.analysisName` (string)
    The prospect analysis name.

  - `analyses.analysisId` (integer)
    The prospect analysis unique identifier.

  - `analyses.analysisPath` (string)
    The path to the prospect analysis from the root basin.
Example: basin1/basin2/play1/play2/play3/prospect.
Note there is a limitation on 5 levels of basins and 5 levels of plays.
If the path contains more than 5 levels of basins and/or more than 5 levels of plays, it will be incorrect.

  - `analyses.prospect` (object)
    A data transfer object (DTO) representing a geological structure, i.e. basin, play or prospect, used in searches.
Geological structures in GeoX and Opportunity Assessor are commonly known and organized as folders.

  - `analyses.prospect.name` (string)
    The name of the folder (basin, play or prospect).

  - `analyses.prospect.id` (integer)
    The unique identifier.

  - `analyses.prospect.parentId` (integer)
    ID of the parent folder. null value if the parent folder is a root-level basin.

  - `analyses.plays` (array)
    The play folders contained in the path to the prospect analysis.

  - `analyses.basins` (array)
    The basin folders contained in the path to the prospect analysis.

  - `analyses.createdDate` (string)
    The date and time the prospect analysis was created.

  - `analyses.createdBy` (string)
    The user name of the person who created the prospect analysis.

  - `analyses.createdByRealName` (string)
    The real name of the person who created the prospect analysis. May be null.

  - `analyses.lastModifiedDate` (string)
    The date and time the prospect analysis was last modified.

  - `analyses.lastModifiedBy` (string)
    The user name of the person who last modified the prospect analysis.

  - `analyses.lastModifiedByRealName` (string)
    The real name of the person who last modified the prospect analysis. May be null.

  - `analyses.status` (string)
    Analysis status
    Enum: "Approved", "Historical", "Test", "Working"

  - `analyses.isExternal` (boolean)
    Whether or not the prospect analysis is external.

  - `pagination` (object)
    Result pagination

  - `pagination.next` (string)
    The relative URL for the next result page.

  - `pagination.self` (string)
    The relative URL for this result page.

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

